<?php
function Potentials_AutocompletaMontoLeasingfactoringEnCuenta($entity) {
	global $adb, $current_user;
	$data = $entity->data;
	$id = explode("x", $data['id'])[1];
	$cuenta = explode("x", $data['related_to'])[1];
	$monto =$data['amount'];
	$tipoOoprtunidad = $data['opportunity_type'];
	//var_dump($tipoOoprtunidad);die();

	

	if ($tipoOoprtunidad == 'Factoring') {
		$querycuenta = $adb-> pquery("SELECT cf_854 FROM vtiger_accountscf WHERE accountid = ? ",array($cuenta));
		$montoacuenta = $adb->query_result($querycuenta,0,'cf_854');
		$montototalganado = $montoacuenta + $monto;
		//var_dump($monto, $cuenta, $montoacuenta, $montototalganado);die();
		$adb-> pquery("UPDATE vtiger_accountscf SET cf_854 = ? WHERE accountid = ? ",array($montototalganado,$cuenta));
	}elseif ($tipoOoprtunidad == 'Leasing') {
		$querycuenta = $adb-> pquery("SELECT cf_882 FROM vtiger_accountscf WHERE accountid = ? ",array($cuenta));
		$montoacuenta = $adb->query_result($querycuenta,0,'cf_882');
		$montototalganado = $montoacuenta + $monto;
		//var_dump($monto, $cuenta, $montoacuenta, $montototalganado);die();
		$adb-> pquery("UPDATE vtiger_accountscf SET cf_882 = ? WHERE accountid = ? ",array($montototalganado,$cuenta));
	}
	
}